Magic error installing XFCE4

Talk about anything related to Gentoox or Gentoo.
Post Reply
xostia
Newbie
Posts: 7
Joined: Mon Dec 27, 2004 12:59 pm

Magic error installing XFCE4

Post by xostia » Fri Aug 25, 2006 11:18 am

Hi:

I installed a new Pro 4.1 version but without de X.

Now, I tried to install the XFCE4 answering Yes to the Magic question but when it arrives to the gtk installation it shows:

-----------------------------------------------

!!! ERROR: x11-libs/gtk+-2.8.19 failed.
Call stack:
ebuild.sh, line 1555: Called dyn_setup
ebuild.sh, line 668: Called pkg_setup
gtk+-2.8.19.ebuild, line 57: Called die

!!! cairo needs the X flag set
!!! If you need support, post the topmost build error, and the call stack if relevant.


!! Emerge failed.

!! gdm patch failed.
!! Check your network settings and try again.

-------------------------------------

I tried to emerge again the cairo using the: USE="-X" emerge ... for the cairo and launched again Magic but it shows allways the same error.

Can you help me?

Thanks

User avatar
ShALLaX
Site Admin
Posts: 1973
Joined: Sun Aug 10, 2003 9:25 pm
Location: England
Contact:

Post by ShALLaX » Sat Aug 26, 2006 10:30 am

Edit /etc/make.conf and look for the "USE=" line. Add "X" to it (without the quotes). Then run "emerge cairo", finally re-run magic.

Hope this helps.
The original Xbox adaptation of Gentoo

xostia
Newbie
Posts: 7
Joined: Mon Dec 27, 2004 12:59 pm

Post by xostia » Wed Aug 30, 2006 12:17 pm

Hi:

I edited my make.conf but the USE line is like this:

USE="-X -sdl gtk -gnome kde mmx alsa aalib dvd gpm mpeg oggvorbis perl png qt quicktime samba sse truetype usb xmms"

the -X is there! any other idea?

Thanks

User avatar
ShALLaX
Site Admin
Posts: 1973
Joined: Sun Aug 10, 2003 9:25 pm
Location: England
Contact:

Post by ShALLaX » Wed Aug 30, 2006 12:35 pm

No, "-X" means "DO NOT compile with X compatibility". You need just "X".
The original Xbox adaptation of Gentoo

xostia
Newbie
Posts: 7
Joined: Mon Dec 27, 2004 12:59 pm

It is the same... but now in Cairo

Post by xostia » Thu Aug 31, 2006 11:34 am

Hi:

Sorry... I am stupid!! I corrected the USE line and now, re-emerging the cairo
there are errors:

...
cairo-xlib-surface.c:2715: warning: statement with no effect
cairo-xlib-surface.c:2793: warning: value computed is not used
cairo-xlib-surface.c:2793: warning: value computed is not used
make[2]: *** [cairo-xlib-surface.lo] Error 1
make[2]: Leaving directory `/var/tmp/portage/cairo-1.0.4/work/cairo-1.0.4/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/cairo-1.0.4/work/cairo-1.0.4'
make: *** [all] Error 2

!!! ERROR: x11-libs/cairo-1.0.4 failed.
Call stack:
ebuild.sh, line 1539: Called dyn_compile
ebuild.sh, line 939: Called src_compile
cairo-1.0.4.ebuild, line 42: Called die

!!! Compilation failed
!!! If you need support, post the topmost build error, and the call stack if relevant.

=======

Any other idea? Thanks and sorry again...

User avatar
ShALLaX
Site Admin
Posts: 1973
Joined: Sun Aug 10, 2003 9:25 pm
Location: England
Contact:

Post by ShALLaX » Thu Aug 31, 2006 12:03 pm

Ack, nasty error. Try searching bugs.gentoo.org or forums.gentoo.org.
The original Xbox adaptation of Gentoo

xostia
Newbie
Posts: 7
Joined: Mon Dec 27, 2004 12:59 pm

All working now

Post by xostia » Mon Sep 04, 2006 2:30 pm

Hi:

I re-emerged the dependent packages and now all is working... I looked for something in the bugs forum but... nothing.

Anyway... all works.

Thanks for your help.

Post Reply

Who is online

Users browsing this forum: No registered users and 4 guests